Subject: bug#1851 closed by Brent Goodrick <[email-masked]> (Re: bug#1851: 23.0.60; eval-buffer on a file containing help-xref-button doesn't update help mode text)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 12 Jan 2009 01:25:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1851: 23.0.60; eval-buffer on a file containing help-xref-button doesn't update help mode text

It has been closed by Brent Goodrick <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Brent Goodrick <[email-masked]> by
replying to this email.

-- 
1851: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1851
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1851: 23.0.60; eval-buffer on a file containing help-xref-button doesn't update help mode text
From: Brent Goodrick <[email-masked]>
To: Glenn Morris <[email-masked]>
Date: Sat, 10 Jan 2009 22:05:40 -0800

Glenn Morris writes:
 > Brent Goodrick wrote:
 > 
 > > 8. Redo step 2 and 3, but notice that the Lisp function in
 > > `help-mode.el' still remains just that. It should instead read
 > > `newfile.el'. Clicking on the link for `help-mode.el' brings me back
 > > to the original definition, not the one I have redefined in newfile.el
 > 
 > I can't reproduce this with emacs -Q. (I assume you saved newfile.el,
 > it wasn't explicit.)

Sigh. Now I can't either.  And I believe I had saved the file.  I had
tried this a number of ways, too. Hmmm, I guess just close/ignore this
for now. Thanks for trying to reproduce it.

Brent

Subject: 23.0.60; eval-buffer on a file containing help-xref-button doesn't update help mode text
From: Brent Goodrick <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jan 2009 12:41:38 -0800

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Do the following to reproduce:

1. Invoke emacs with -q.

2. C-h f help-xref-button 

3. Verify that you see a help mode buffer with this text:

> help-xref-button is a Lisp function in `help-mode.el'.
> 
> (help-xref-button match-number type &rest args)
> 
> Make a hyperlink for cross-reference text previously matched.
> match-number is the subexpression of interest in the last matched
> regexp.  type is the type of button to use.  Any remaining arguments are
> passed to the button's help-function when it is invoked.
> See `help-make-xrefs'.
> 
> [back]

4. Hit the TAB key in that buffer to position over help-mode.el

5. Hit the return key. At this point, you should be in the file
.../share/emacs/23.0.60/lisp/help-mode.el.gz or some similarly named
.el.gz file.

6. Copy the full defun body of the help-xref-button function and paste
it into a new file, say, in /tmp/newfile.el

7. When in the buffer for newfile.el, type M-x eval-buffer

8. Redo step 2 and 3, but notice that the Lisp function in
`help-mode.el' still remains just that. It should instead read
`newfile.el'. Clicking on the link for `help-mode.el' brings me back
to the original definition, not the one I have redefined in newfile.el

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/brentg/emacs_from_source/install/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.12.11)
 of 2009-01-10 on hungover
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-x-toolkit' '--with-xft' '--prefix=/home/brentg/emacs_from_source/install''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-netsplit-mode: t
  desktop-save-mode: t
  iswitchb-mode: t
  erc-ring-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  delete-selection-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: 1
  transient-mark-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-p C-p C-p C-p C-p C-p C-l C-p C-p C-p C-p C-n C-n 
C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p C-p C-p C-p 
C-p C-M-SPC M-; C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-l C-p C-p C-f C-e M-b C-M-SPC C-z C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-p C-p C-p C-p C-p C-p C-p C-p C-n C-n C-e <return> 
M-( s e t q SPC m y - b a c k SPC C-v <tab> M-b C-M-SPC 
M-( C-a C-x C-s C-c d <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> M-O M-P M-O C-g C-f M-P M-b M-b M-b M-b M-b 
C-k <return> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> C-p C-p C-p C-e M-b M-b <C-return> C-M-a 
<down-mouse-1> <mouse-1> <down-mouse-4> <mouse-4> <double-down-mouse-4> 
<double-mouse-4> <triple-down-mouse-4> <triple-mouse-4> 
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4> 
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4> 
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4> 
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4> 
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4> 
<triple-mouse-4> C-M-SPC M-; C-x C-s <down-mouse-1> 
<mouse-1> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
C-p C-p C-p C-p C-p C-p C-a C-n C-n C-p C-M-SPC M-; 
C-x C-s <down-mouse-1> <mouse-1> C-a C-n C-n C-n C-n 
C-M-SPC M-; C-x C-s <help-echo> <down-mouse-1> <mouse-1> 
M-P <return> <down-mouse-1> <mouse-1> C-p C-p C-p C-p 
C-p C-p C-p C-p M-x r e p o r <backspace> r t - b u 
g <tab> <backspace> <backspace> <backspace> <backspace> 
e m <tab> b u <tab> <return>

Recent messages:
Pushed a window configuration.
Mark set
line-move-visual: Beginning of buffer [4 times]
Mark set
Wrote /home/brentg/tmp/help-scrap.el
Mark set
Wrote /home/brentg/tmp/help-scrap.el
Mark set
Wrote /home/brentg/tmp/help-scrap.el
History item: 1